Get masterchain info
Returns the current state of the TON masterchain. The last field contains the latest block used for querying current state. The seqno in last is the current block height. Use this endpoint to obtain the latest block reference for other queries.
X-API-Key<token>
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Empty request body for endpoints that require no parameters.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/getMasterchainInfo" \ -H "Content-Type: application/json" \ -d '{}'{ "ok": true, "result": { "@type": "blocks.masterchainInfo", "last": { "@type": "ton.blockIdExt", "workchain": 0, "shard": "string", "seqno": 0, "root_hash": "string", "file_hash": "string" }, "state_root_hash": "string", "init": { "@type": "ton.blockIdExt", "workchain": 0, "shard": "string", "seqno": 0, "root_hash": "string", "file_hash": "string" } }, "@extra": "string"}